Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2004-0976

Overview

Vulnerability Score 2.1 2.1
CVE Id CVE-2004-0976
Last Modified 21 Aug 2010 12:21:34
Published 09 Feb 2005 12:00:00
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector LOCAL
Access Complexity LOW
Authentication NONE

CVE-2004-0976

Summary

Multiple scripts in the perl package in Trustix Secure Linux 1.5 through 2.1 and other operating systems allows local users to overwrite files via a symlink attack on temporary files.

Vulnerable Systems

Application

  • Larry Wall Perl 5.6

  • Larry Wall Perl 5.6.1

  • Larry Wall Perl 5.8.0

  • Larry Wall Perl 5.8.1

  • Larry Wall Perl 5.8.3


References

BID - 11294

XF - script-temporary-file-overwrite(17583)

TRUSTIX - 2004-0050

DEBIAN - DSA-620

REDHAT - RHSA-2005:881

MANDRAKE - MDKSA-2005:031

SECUNIA - 18075

SECUNIA - 17661

OPENPKG - OpenPKG-SA-2005.001

FEDORA - FLSA-2006:152845


Last Updated: 27 May 2016 10:38:50